GNU bug report logs - #21640
25.0.50; Fontset-font is never scaled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Artur Malabarba <arturmalabarba@HIDDEN>; dated Wed, 7 Oct 2015 10:53:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21640 <at> debbugs.gnu.org:


Received: (at 21640) by debbugs.gnu.org; 7 Oct 2015 19:20:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 15:20:43 2015
Received: from localhost ([127.0.0.1]:59282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjuGX-0006p0-RX
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 15:20:42 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:62000)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZjuGT-0006oi-QS
 for 21640 <at> debbugs.gnu.org; Wed, 07 Oct 2015 15:20:39 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NVV006006V8DP00@HIDDEN> for 21640 <at> debbugs.gnu.org;
 Wed, 07 Oct 2015 22:20:35 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NVV0064C72998A0@HIDDEN>;
 Wed, 07 Oct 2015 22:20:33 +0300 (IDT)
Date: Wed, 07 Oct 2015 22:20:33 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21640: 25.0.50; Fontset-font is never scaled
In-reply-to: <CAAdUY-Jro=_S60RJALcSNPajtXthk8KpQ3sMHSiKXaehLH=xVw@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Artur Malabarba <arturmalabarba@HIDDEN>
Message-id: <8337xmeb9a.fsf@HIDDEN>
References: <CAAdUY-LtXUmAspaUqv=Ed1e+TthHVXH8B0wnx=voFt1cxYwvhQ@HIDDEN>
 <83d1wqel86.fsf@HIDDEN>
 <CAAdUY-Jro=_S60RJALcSNPajtXthk8KpQ3sMHSiKXaehLH=xVw@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21640
Cc: 21640 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 7 Oct 2015 20:14:43 +0100
> From: Artur Malabarba <arturmalabarba@HIDDEN>
> Cc: 21640 <at> debbugs.gnu.org
> 
> > Is the configuration the same, including the font back-ends?
> 
> The init files are the same (and I see this problem from emacs -Q
> too), but there are many differences in system configuration outside
> Emacs (most of which I probably don't know).
> 
> I haven't configured font-backends. If I query for it in
> frame-parameters I get `(font-backend xft x)'.
> Swapping their order or removing the `x' makes no difference. Removing
> the `xft' segfaults Emacs.
> 
> > In general, I think you are getting undefined behavior: you specify a
> > fixed size of 40 pixels, but expect it to be a kind of "relative"
> > size?  Is that documented somewhere?
> 
> No, I expect to be bigger than my regular font, which is much less
> than 40 pixels. I can change it to any other number with no effect.
> I tried using a float too, which should represent a size in points
> according to the docstring, but there's still no difference.

Could it be that the version of Symbola is different between the two
systems, and one of them cannot be scaled like you want?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21640; Package emacs. Full text available.

Message received at 21640 <at> debbugs.gnu.org:


Received: (at 21640) by debbugs.gnu.org; 7 Oct 2015 19:14:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 15:14:47 2015
Received: from localhost ([127.0.0.1]:59278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjuAo-0006bF-Sn
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 15:14:47 -0400
Received: from mail-lb0-f179.google.com ([209.85.217.179]:34471)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjuAm-0006b5-RP
 for 21640 <at> debbugs.gnu.org; Wed, 07 Oct 2015 15:14:45 -0400
Received: by lbbwt4 with SMTP id wt4so22780694lbb.1
 for <21640 <at> debbugs.gnu.org>; Wed, 07 Oct 2015 12:14:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=JN8LrY+bEmWKel1X1a14YGTcE/0gYPD10+1bVLMlRLc=;
 b=s3LAY+G12Z6OBsiolomE4AJjG4JQozpbJqTT6M48TP2ofFpc7lkGT2w5R3Y/5ZBVDS
 iut02BWUl3gY4pk89YgpIXSsyaMHfXZtnMBXEu9EOu8RS2kIzk+iS2poIi7oMcVKDG5C
 DE10AbP2zyPvrKsPyR/ne6fAhD63gpl1en9/sMf2xYmHnlWeXYAmq5k4LrPEQe1pTOmR
 fm0INDi2p52PBtudMEKUzEmtKmXItj3AgHKFW2ox2NN5eoIH8JL1mqpqntoviEvzDRgK
 xMDt9aBWuxugIskoTvVco04UxwUZYJgSOJNtAr+WIoHpKIjPUZGuvAH0EbXui4p01Iw4
 nm1w==
MIME-Version: 1.0
X-Received: by 10.112.54.169 with SMTP id k9mr1468920lbp.95.1444245284037;
 Wed, 07 Oct 2015 12:14:44 -0700 (PDT)
Received: by 10.25.27.78 with HTTP; Wed, 7 Oct 2015 12:14:43 -0700 (PDT)
In-Reply-To: <83d1wqel86.fsf@HIDDEN>
References: <CAAdUY-LtXUmAspaUqv=Ed1e+TthHVXH8B0wnx=voFt1cxYwvhQ@HIDDEN>
 <83d1wqel86.fsf@HIDDEN>
Date: Wed, 7 Oct 2015 20:14:43 +0100
Message-ID: <CAAdUY-Jro=_S60RJALcSNPajtXthk8KpQ3sMHSiKXaehLH=xVw@HIDDEN>
Subject: Re: bug#21640: 25.0.50; Fontset-font is never scaled
From: Artur Malabarba <arturmalabarba@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 21640
Cc: 21640 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> Is the configuration the same, including the font back-ends?

The init files are the same (and I see this problem from emacs -Q
too), but there are many differences in system configuration outside
Emacs (most of which I probably don't know).

I haven't configured font-backends. If I query for it in
frame-parameters I get `(font-backend xft x)'.
Swapping their order or removing the `x' makes no difference. Removing
the `xft' segfaults Emacs.

> In general, I think you are getting undefined behavior: you specify a
> fixed size of 40 pixels, but expect it to be a kind of "relative"
> size?  Is that documented somewhere?

No, I expect to be bigger than my regular font, which is much less
than 40 pixels. I can change it to any other number with no effect.
I tried using a float too, which should represent a size in points
according to the docstring, but there's still no difference.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21640; Package emacs. Full text available.

Message received at 21640 <at> debbugs.gnu.org:


Received: (at 21640) by debbugs.gnu.org; 7 Oct 2015 15:45:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 11:45:38 2015
Received: from localhost ([127.0.0.1]:59149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjquP-0007sU-7u
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 11:45:37 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:38996)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Zjqu3-0007rr-DC
 for 21640 <at> debbugs.gnu.org; Wed, 07 Oct 2015 11:45:34 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NVU00B00WYVZU00@HIDDEN> for 21640 <at> debbugs.gnu.org;
 Wed, 07 Oct 2015 18:45:13 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NVU00B1WX3DWV30@HIDDEN>;
 Wed, 07 Oct 2015 18:45:13 +0300 (IDT)
Date: Wed, 07 Oct 2015 18:45:13 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21640: 25.0.50; Fontset-font is never scaled
In-reply-to: <CAAdUY-LtXUmAspaUqv=Ed1e+TthHVXH8B0wnx=voFt1cxYwvhQ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Artur Malabarba <arturmalabarba@HIDDEN>
Message-id: <83d1wqel86.fsf@HIDDEN>
References: <CAAdUY-LtXUmAspaUqv=Ed1e+TthHVXH8B0wnx=voFt1cxYwvhQ@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21640
Cc: 21640 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 7 Oct 2015 11:52:04 +0100
> From: Artur Malabarba <arturmalabarba@HIDDEN>
> 
> I have the following snippet in my init file.
> 
> (set-face-attribute 'default nil :height 100
>                     :font "SourceCodePro Medium")
> (set-fontset-font "fontset-default" nil
>                   (font-spec :size 40 :name "Symbola"))
> 
> On my Ubuntu system, this means any characters no supported by the
> main font (SourceCodePro) will displayed in the Symbola font and
> considerably scaled up in size (good).
> 
> On my Arch GNU/Linux system, the same happens, except the Symbola
> characters are not scaled up in size. By inspecting them with C-u C-x
> = I can verify that the Symbola font is indeed being used:
> 
>    xft:-unknown-Symbola-normal-normal-semicondensed-*-13-*-*-*-*-0-iso10646-1
> (#x1BE3)
> 
> Both are compiled from master.

Is the configuration the same, including the font back-ends?

In general, I think you are getting undefined behavior: you specify a
fixed size of 40 pixels, but expect it to be a kind of "relative"
size?  Is that documented somewhere?

(I never used explicit size parameters in fontsets, so maybe I'm
missing something.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21640; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Oct 2015 10:52:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 06:52:11 2015
Received: from localhost ([127.0.0.1]:57790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZjmKQ-0007e6-Q8
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 06:52:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40160)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjmKO-0007dy-Aw
 for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 06:52:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjmKN-0007RG-1b
 for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 06:52:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60441)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjmKM-0007R3-VN
 for submit <at> debbugs.gnu.org; Wed, 07 Oct 2015 06:52:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50130)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjmKM-0002Mp-8F
 for bug-gnu-emacs@HIDDEN; Wed, 07 Oct 2015 06:52:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjmKL-0007Pq-F7
 for bug-gnu-emacs@HIDDEN; Wed, 07 Oct 2015 06:52:06 -0400
Received: from mail-la0-x234.google.com ([2a00:1450:4010:c03::234]:34879)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1ZjmKL-0007PP-8m
 for bug-gnu-emacs@HIDDEN; Wed, 07 Oct 2015 06:52:05 -0400
Received: by lacdq7 with SMTP id dq7so7774716lac.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 07 Oct 2015 03:52:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=vr6c+mHxFI2YrIsY7lisitM3RdWnt/f/RJQW3sMuhrU=;
 b=rSwd9T4hoB/akbRfNXEiwC5jACv1GISqXwOcUMeZTf3kbWdbBOMpwqB0myIlDJsBNn
 s+OVtuBm1gfYsiveJ8tJ4Sb711C/SSNkZUAoakmReLcvD6hgC9XVID42t1sl/zcmVpek
 vt6BNSGAY/3J3lw+tb+sJQUK42izfVtF5SAHX16GSvDRkKYLg/L2Nk4gffRP2kzVEvV0
 vHn7I5BEBYcHzu4hEyWDkSb7UIldOfmRngaCIUvFukSwrRcs5Gl5kxpmdv3edeJdHkLn
 UI0QcFTDHAGQq1rtom4FiY/TuxD0uU62ZyTd2orCmuYfwo6NGKWXr3rkdwQFPhVUo9Yb
 E8XQ==
MIME-Version: 1.0
X-Received: by 10.112.168.228 with SMTP id zz4mr185795lbb.73.1444215124332;
 Wed, 07 Oct 2015 03:52:04 -0700 (PDT)
Received: by 10.25.27.78 with HTTP; Wed, 7 Oct 2015 03:52:04 -0700 (PDT)
Date: Wed, 7 Oct 2015 11:52:04 +0100
Message-ID: <CAAdUY-LtXUmAspaUqv=Ed1e+TthHVXH8B0wnx=voFt1cxYwvhQ@HIDDEN>
Subject: 25.0.50; Fontset-font is never scaled
From: Artur Malabarba <arturmalabarba@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

I have the following snippet in my init file.

(set-face-attribute 'default nil :height 100
                    :font "SourceCodePro Medium")
(set-fontset-font "fontset-default" nil
                  (font-spec :size 40 :name "Symbola"))

On my Ubuntu system, this means any characters no supported by the
main font (SourceCodePro) will displayed in the Symbola font and
considerably scaled up in size (good).

On my Arch GNU/Linux system, the same happens, except the Symbola
characters are not scaled up in size. By inspecting them with C-u C-x
= I can verify that the Symbola font is indeed being used:

   xft:-unknown-Symbola-normal-normal-semicondensed-*-13-*-*-*-*-0-iso10646-1
(#x1BE3)

Both are compiled from master.




Acknowledgement sent to Artur Malabarba <arturmalabarba@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21640; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Oct 2015 19:30:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.